[gnome-online-accounts] build: Update autogen.sh from GNOME recommendation
- From: Philip Withnall <pwithnall src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gnome-online-accounts] build: Update autogen.sh from GNOME recommendation
- Date: Fri, 4 Mar 2016 10:05:43 +0000 (UTC)
commit 7bf1b3d74be23c4ba16f72b1081453fd2d8fc967
Author: Philip Withnall <philip tecnocode co uk>
Date: Fri Mar 4 02:58:23 2016 +0000
build: Update autogen.sh from GNOME recommendation
https://wiki.gnome.org/Projects/GnomeCommon/Migration#autogen.sh
This fixes a srcdir ≠ builddir issue.
https://bugzilla.gnome.org/show_bug.cgi?id=763078
autogen.sh | 45 ++++++++++++++++++++++++++++++++-------------
1 files changed, 32 insertions(+), 13 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 519fcce..2209bf9 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,26 +1,45 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=$(pwd)
-PKG_NAME="goa"
+cd $srcdir
-(test -f $srcdir/src/Makefile.am) || {
- echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level $PKG_NAME directory"
- exit 1
+(test -f configure.ac) || {
+ echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
+ exit 1
}
-which gnome-autogen.sh || {
- echo "You need to install gnome-common"
- exit 1
-}
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
+ echo "*** '$0' command line." >&2
+ echo "" >&2
+fi
git submodule update --init --recursive
cd telepathy-account-widgets
-sh autogen.sh --no-configure
+NOCONFIGURE=1 sh autogen.sh
cd ..
-. gnome-autogen.sh --enable-gtk-doc "$@"
+aclocal --install || exit 1
+gtkdocize --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install || exit 1
+
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+ $srcdir/configure "$@" || exit 1
+
+ if [ "$1" = "--help" ]; then exit 0 else
+ echo "Now type 'make' to compile $PKG_NAME" || exit 1
+ fi
+else
+ echo "Skipping configure process."
+fi
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]